<template>
  <c-page title="出口信用证查询"> 
     <div class="eContainer">
          <!-- <c-bus-button :$pntvm="this"></c-bus-button> -->
          <el-form 
               :model="model" 
               :rules="rules" 
               ref="modelForm" 
               label-width="150px"
               label-position="left"
               size="small" 
               :validate-on-rule-change="false"
          >
               <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
               
                    <!--PD000006 Selection -->
                    <el-tab-pane label="出口信用证查询" name="infsea">
                         <c-content>
                              <m-infsea :model="model" :codes="codes"/>
                        </c-content>
                    </el-tab-pane>
          
               </c-tabs>
          </el-form>
     </div>
  </c-page> 
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Infled from "~/model/Infled"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Infled/Check"
import Default from "~/model/Infled/Default"
import Pattern from "~/model/Infled/Pattern"
import Infsea from "./Infsea"

export default {
    components:{
        "m-infsea" : Infsea,
     
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "infsea",
            trnName: "infled",
            model: new Infled().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes:{...CodeTable},
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入infled交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //更新数据
            this.updateModel(rtnmsg.data)
            // Utils.copyValueFromVO(this.model, rtnmsg.data);
            if (this.isInDisplay) {
                this.restoreDisplay();
            }
        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
